TEMPLATE = app
QT = core \
    gui \
    opengl

LIBS = \
    ./libip_lib.a 
 
SOURCES = \
    ./src/qt4/viareawidget.cpp \
    ./src/qt4/G12Image.cpp \
    ./src/qt4/stereo/cloudviewdialog.cpp \
    ./src/qt4/stereo/estimatewidget.cpp \
    ./src/qt4/stereo/main_qt_stereolab.cpp \ 
    ./src/qt4/stereo/matcherdialog.cpp \
    ./src/qt4/stereo/rectifydialog.cpp \
    ./src/qt4/stereo/sgmdialog.cpp \
    ./src/qt4/stereo/stereolab.cpp \
    ./src/qt4/stereo/viglarea.cpp \
    ./src/qt4/utils/matrixwidget.cpp \    
    \
    ./src/fileformats/st_raw.c \
    ./src/fileformats/ppm.c \
    ./src/core/cycle.c \
    ./src/core/buffers/flow.c \
    ./src/core/buffers/integral.c \
    ./src/core/buffers/disparity.c \
    ./src/core/buffers/dirgrad.c \
    ./src/core/buffers/g12buffer.c \
    ./src/core/buffers/histogram.c \
    ./src/core/buffers/cornermarker.c \
    ./src/core/buffers/segmentation.c \
    ./src/core/rectification.c \
    ./src/core/math/algebra.c \
    ./src/core/math/matrix.c \
    ./src/core/math/svd.c \
    ./src/core/math/levmar.c \
    ./src/core/math/geometry.c \
    ./src/core/math/projective.c \
    ./src/core/math/linlse.c \
    ./src/core/utils/properties.c \
    ./src/core/utils/datatypes.c \
    ./src/core/utils/parameters.c \
    ./src/core/utils/loadimage.c \
    ./src/core/sgm.c \
    ./src/core/align_nonlinear.c   
HEADERS = ./src/fileformats/st_raw.h \
    ./src/fileformats/ppm.h \
    ./src/tiff/tiffloader.h \
    ./src/core/sgm.h \
    ./src/core/viflow.h \
    ./src/core/buffers/cornermarker.h \
    ./src/core/buffers/disparity.h \
    ./src/core/buffers/segmentation.h \
    ./src/core/buffers/histogram.h \
    ./src/core/buffers/dirgrad.h \
    ./src/core/buffers/integral.h \
    ./src/core/buffers/flow.h \
    ./src/core/buffers/signatures.h \
    ./src/core/buffers/g12buffer.h \
    ./src/core/math/linlse.h \
    ./src/core/math/matrix.h \
    ./src/core/math/algebra.h \
    ./src/core/math/levmar.h \
    ./src/core/math/projective.h \
    ./src/core/math/svd.h \
    ./src/core/math/geometry.h \
    ./src/core/rectification.h \
    ./src/core/align_nonlinear.h \
    ./src/core/cycle.h \
    ./src/core/utils/loadimage.h \
    ./src/core/utils/datatypes.h \
    ./src/core/utils/parameters.h \
    ./src/core/utils/global.h \
    ./src/core/utils/properties.h \
    ./src/core/utils/stdint_win.h \
    ./src/mainpage.h \
    ./src/qt4/g12Image.h \
    ./src/qt4/stereo/cloudviewdialog.h \
    ./src/qt4/stereo/estimatewidget.h \
    ./src/qt4/stereo/matcherdialog.h \
    ./src/qt4/stereo/rectifydialog.h \
    ./src/qt4/stereo/sgmdialog.h \
    ./src/qt4/stereo/stereolab.h \
    ./src/qt4/stereo/viglarea.h \
    ./src/qt4/viareawidget.h \
    ./src/qt4/utils/matrixwidget.h
    
FORMS = ./src/qt4/histogramdialog.ui \
    ./src/qt4/viareawidget.ui \
    ./src/qt4/stereo/cloudviewdialog.ui \
    ./src/qt4/stereo/estimatewidget.ui \
    ./src/qt4/stereo/matcherdialog.ui \ 
    ./src/qt4/stereo/rectifydialog.ui \
    ./src/qt4/stereo/sgmdialog.ui \
    ./src/qt4/stereo/stereolab.ui \
    ./src/qt4/stereo/viglarea.ui \
    ./src/qt4/utils/matrixwidget.ui
INCLUDEPATH = ./src \
    ./src/fileformats \
    ./src/test \
    ./src/core \
    ./src/core/buffers \
    ./src/core/math \
    ./src/core/utils \
    ./src/opengl \
    ./src/sdl \
    ./src/sdl/graphics \
    ./src/qt4 \
    ./src/qt4/stereo \
    ./src/qt4/utils 
    
RESOURCES = resources/main.qrc
unix:LIBS += -ltiff
unix:DEFINES += TIFF_SUPPORTED
unix:INCLUDEPATH += ./src/tiff
unix:HEADERS += ./src/tiff/tiffloader.h
unix:SOURCES += ./src/tiff/tiffloader.c
